Bug 631825 - segfault running example perl script on i386
segfault running example perl script on i386
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
14
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 631131 631192
  Show dependency treegraph
 
Reported: 2010-09-08 09:22 EDT by Paul Howarth
Modified: 2010-11-16 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version: rrdtool-1.4.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 18:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-09-08 09:22:51 EDT
Description of problem:
On F-14 (and Rawhide), rrdtool.i386 quickly segfaults when running via perl bindings. x86_64 doesn't seem to be affected, and neither does F-13.

Version-Release number of selected component (if applicable):
rrdtool-1.3.8-8.fc14.i686

How reproducible:
Every time.

Steps to Reproduce:
1. yum install rrdtool-perl rrdtool-doc
2. perl /usr/share/doc/rrdtool-doc-1.3.8/examples/perftest.pl
  
Actual results:
Some introductory blurb, then:
rrd_dontneed: Argument 'rrd_file' is NULL.
Segmentation fault

Expected results:
Some introductory blurb, then:
Performance test runs.

Additional info:
This is causing perl-RRD-Simple to fail to build on i386.
Comment 1 Paul Howarth 2010-09-08 10:08:41 EDT
I locally updated rrdtool to 1.44 and this problem did not manifest - I was able to build perl-RRD-Simple successfully.
Comment 2 Paul Howarth 2010-09-08 10:09:15 EDT
s/1.44/1.4.4/ of course.
Comment 3 Marcela Mašláňová 2010-10-25 05:41:30 EDT
Could you please look at this bug? It's blocking rebuild of some perl modules.
Comment 4 Paul Howarth 2010-10-25 07:57:30 EDT
Non-responsive maintainer process in progress over on Bug #554334
Comment 5 Fedora Admin XMLRPC Client 2010-11-15 12:02:04 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2010-11-16 05:10:58 EST
rrdtool-1.4.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rrdtool-1.4.4-1.fc14
Comment 7 Jaroslav Škarvada 2010-11-16 05:11:34 EST
Please check updated version.
Comment 8 Paul Howarth 2010-11-16 06:15:51 EST
Test now runs OK, will add karma to update.
Comment 9 Fedora Update System 2010-11-16 18:21:33 EST
rrdtool-1.4.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.